DIHLogLevels (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.DIHLogLevels class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.handler.dataimport
Enum DIHLogLevels

    java.lang.Object
      java.lang.Enum<DIHLogLevels>
          org.apache.solr.handler.dataimport.DIHLogLevels

All Implemented Interfaces:
  Serializable, Comparable<DIHLogLevels>

    public enum DIHLogLevels

extends Enum<DIHLogLevels>

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Enum Constant Summary
`DISABLE_LOGGING`
`ENABLE_LOGGING`
`END_DOC`
`END_ENTITY`
`ENTITY_EXCEPTION`
`ENTITY_META`
`ENTITY_OUT`
`NONE`
`PRE_TRANSFORMER_ROW`
`ROW_END`
`START_DOC`
`START_ENTITY`
`TRANSFORMED_ROW`
`TRANSFORMER_EXCEPTION`

Method Summary
`static DIHLogLevels` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DIHLogLevels[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### START_ENTITY

    public static final DIHLogLevels START_ENTITY

### END_ENTITY

    public static final DIHLogLevels END_ENTITY

### TRANSFORMED_ROW

    public static final DIHLogLevels TRANSFORMED_ROW

### ENTITY_META

    public static final DIHLogLevels ENTITY_META

### PRE_TRANSFORMER_ROW

    public static final DIHLogLevels PRE_TRANSFORMER_ROW

### START_DOC

    public static final DIHLogLevels START_DOC

### END_DOC

    public static final DIHLogLevels END_DOC

### ENTITY_OUT

    public static final DIHLogLevels ENTITY_OUT

### ROW_END

    public static final DIHLogLevels ROW_END

### TRANSFORMER_EXCEPTION

    public static final DIHLogLevels TRANSFORMER_EXCEPTION

### ENTITY_EXCEPTION

    public static final DIHLogLevels ENTITY_EXCEPTION

### DISABLE_LOGGING

    public static final DIHLogLevels DISABLE_LOGGING

### ENABLE_LOGGING

    public static final DIHLogLevels ENABLE_LOGGING

### NONE

    public static final DIHLogLevels NONE

Method Detail

### values

    public static final DIHLogLevels[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DIHLogLevels c : DIHLogLevels.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DIHLogLevels valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD